/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package midwife

import (
	e "simrs-vx/internal/domain/main-entities/midwife"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.Midwife) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Code = inputSrc.Code
	data.Employee_Id = inputSrc.Employee_Id
	data.IHS_Number = inputSrc.IHS_Number
}
